std::bad_exception(3cxx)

NAME
std::bad_exception

SYNOPSIS

#include <exception>

Inherits std::exception.

  Public Member Functions

virtual constexpr const char * what () const noexcept

Detailed Description

If an exception is thrown which is not listed in a function's exception specification, one of these may be thrown.

Member Function Documentation

  virtual constexpr const char * std::bad_exception::what () const [inline], [constexpr], [virtual], [noexcept]
Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.